# clusters/atlas/flux-system/applications/openclaw/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: openclaw
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  path: ./services/openclaw
  targetNamespace: openclaw
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  wait: true
  timeout: 30m
  healthChecks:
    - apiVersion: apps/v1
      kind: Deployment
      name: openclaw-ollama
      namespace: openclaw
    - apiVersion: apps/v1
      kind: Deployment
      name: openclaw
      namespace: openclaw
  dependsOn:
    - name: cert-manager
    - name: core
    - name: longhorn
    - name: traefik

